
Dashboard - Bug #54983

mgr/dashboard: RGW users and buckets tables are empty if the selected gateway is down

03/21/2022 03:59 PM - Volker Theile

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Volker Theile   

Category: Component - RGW   

Target version: v16.2.8   

Source: Community (dev) Affected Versions: v16.2.8

Tags:  ceph-qa-suite:  

Backport: pacific, quincy Pull request ID: 45584

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

It seems the Dashboard or backend is storing the previously selected node somewhere to retrieve the data via the RGW AdminOps

API. In a cluster with multiple RGW gateway, if the selected gateway is down, no data is visible in the Dashboard users/bucket pages

anymore, even if the data could be displayed if the other still active gateway would be selected.

The problem could be solved by letting the user select the still active gateway or switching the previosly selected (and somewhere

stored gateway) automatically to the still running gateway.

How to reproduce:

Setup a cluster with multiple nodes and at least 2 RGW gateways. Go to the RGW daemons page, select one of the gateways

displayed in the dropdown. Remember the node where the gateway is deployed. Visit users and buckets page to validate all is

working.

Now shutdown the node of the previously selected RGW gateway. The users and bucket page will not show any content now. The

daemons page shows only one gateway.

Bootup the halted node again, all pages are showing content again. Now shutdown the node of the gateway that is not selected in

the dropdown on the daemons page. Visit users and bucket page. All tables are displaying the data correctly.

Related issues:

Copied to Dashboard - Backport #55275: quincy: mgr/dashboard: RGW users and b... Resolved

Copied to Dashboard - Backport #55276: pacific: mgr/dashboard: RGW users and ... Resolved

History

#1 - 03/21/2022 04:06 PM - Volker Theile

- Description updated

#2 - 03/22/2022 09:12 AM - Volker Theile

- Description updated

#3 - 03/23/2022 11:29 AM - Ernesto Puerta

- Assignee changed from Alfonso Martínez to avan thakkar

#4 - 03/23/2022 12:19 PM - Volker Theile

- Status changed from New to In Progress

- Assignee changed from avan thakkar to Volker Theile

#5 - 03/23/2022 01:59 PM - Volker Theile

- Status changed from In Progress to Fix Under Review
- Backport set to pacific

- Pull request ID set to 45584

#6 - 03/24/2022 10:58 AM - Volker Theile

- Backport changed from pacific to pacific, quincy

#7 - 04/11/2022 06:51 PM - Ernesto Puerta

- Status changed from Fix Under Review to Pending Backport

#8 - 04/11/2022 06:55 PM - Backport Bot

- Copied to Backport #55275: quincy: mgr/dashboard: RGW users and buckets tables are empty if the selected gateway is down added

#9 - 04/11/2022 06:55 PM - Backport Bot

- Copied to Backport #55276: pacific: mgr/dashboard: RGW users and buckets tables are empty if the selected gateway is down added

#10 - 05/06/2022 08:15 AM - Ernesto Puerta

- Status changed from Pending Backport to Resolved
